<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.2) on Mon Dec 28 23:27:42 EST 2020 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-12-28">
<meta name="description" content="index: G">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">H</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="../spellingbee/client/tabs/GameTab.html" title="class in spellingbee.client.tabs"><span class="typeNameLink">GameTab</span></a> - Class in <a href="../spellingbee/client/tabs/package-summary.html">spellingbee.client.tabs</a></dt>
<dd>
<div class="block">Date 2020-12-28
 This class contains everything about the spellingbee game from the client side</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/client/tabs/GameTab.html#%3Cinit%3E(spellingbee.network.Client)">GameTab(Client)</a></span> - Constructor for class spellingbee.client.tabs.<a href="../spellingbee/client/tabs/GameTab.html" title="class in spellingbee.client.tabs">GameTab</a></dt>
<dd>
<div class="block">This is the constructor of the class
 It creates every element for the game tab and assign it with an initial value</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/server/ISpellingBeeGame.html#getAllLetters()">getAllLetters()</a></span> - Method in interface spellingbee.server.<a href="../spellingbee/server/ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></dt>
<dd>
<div class="block">This method returns the letters necessary</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/server/SimpleSpellingBeeGame.html#getAllLetters()">getAllLetters()</a></span> - Method in class spellingbee.server.<a href="../spellingbee/server/SimpleSpellingBeeGame.html" title="class in spellingbee.server">SimpleSpellingBeeGame</a></dt>
<dd>
<div class="block">This method returns the letters necessary</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/server/ISpellingBeeGame.html#getBrackets()">getBrackets()</a></span> - Method in interface spellingbee.server.<a href="../spellingbee/server/ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></dt>
<dd>
<div class="block">This method returns how many points the user needs to have in order to rank higher</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/server/SimpleSpellingBeeGame.html#getBrackets()">getBrackets()</a></span> - Method in class spellingbee.server.<a href="../spellingbee/server/SimpleSpellingBeeGame.html" title="class in spellingbee.server">SimpleSpellingBeeGame</a></dt>
<dd>
<div class="block">This method returns how many points the user needs to have in order to rank higher</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/server/ISpellingBeeGame.html#getCenterLetter()">getCenterLetter()</a></span> - Method in interface spellingbee.server.<a href="../spellingbee/server/ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></dt>
<dd>
<div class="block">This method returns the mandatory letter</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/server/SimpleSpellingBeeGame.html#getCenterLetter()">getCenterLetter()</a></span> - Method in class spellingbee.server.<a href="../spellingbee/server/SimpleSpellingBeeGame.html" title="class in spellingbee.server">SimpleSpellingBeeGame</a></dt>
<dd>
<div class="block">This method returns the mandatory letter</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/client/ClientApp.html#getClient()">getClient()</a></span> - Method in class spellingbee.client.<a href="../spellingbee/client/ClientApp.html" title="class in spellingbee.client">ClientApp</a></dt>
<dd>
<div class="block">Get method to access the client object from another class</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/server/ISpellingBeeGame.html#getMessage(java.lang.String)">getMessage(String)</a></span> - Method in interface spellingbee.server.<a href="../spellingbee/server/ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></dt>
<dd>
<div class="block">This method takes the attempt of the user, validates it and return a message to the user</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/server/SimpleSpellingBeeGame.html#getMessage(java.lang.String)">getMessage(String)</a></span> - Method in class spellingbee.server.<a href="../spellingbee/server/SimpleSpellingBeeGame.html" title="class in spellingbee.server">SimpleSpellingBeeGame</a></dt>
<dd>
<div class="block">This method takes the attempt string, split it into an array, make the array a list to figue out
if the list contains the center letter.</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/server/ISpellingBeeGame.html#getPointsForWord(java.lang.String)">getPointsForWord(String)</a></span> - Method in interface spellingbee.server.<a href="../spellingbee/server/ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></dt>
<dd>
<div class="block">This method takes as an input the attempt of the user and returns the points the attempt is worth</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/server/SimpleSpellingBeeGame.html#getPointsForWord(java.lang.String)">getPointsForWord(String)</a></span> - Method in class spellingbee.server.<a href="../spellingbee/server/SimpleSpellingBeeGame.html" title="class in spellingbee.server">SimpleSpellingBeeGame</a></dt>
<dd>
<div class="block">The method takes the length of the attempt and show the correct amount of point the attempt is worth</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/server/ISpellingBeeGame.html#getScore()">getScore()</a></span> - Method in interface spellingbee.server.<a href="../spellingbee/server/ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></dt>
<dd>
<div class="block">This method returns the current score of the user</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/server/SimpleSpellingBeeGame.html#getScore()">getScore()</a></span> - Method in class spellingbee.server.<a href="../spellingbee/server/SimpleSpellingBeeGame.html" title="class in spellingbee.server">SimpleSpellingBeeGame</a></dt>
<dd>
<div class="block">This method returns the current score of the user</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">H</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
